> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.withpersona.com/2025-10-27/api-reference/batch-jobs/retrieve-a-batch-job/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withpersona.com/_mcp/server. # Retrieve a Batch Job GET https://api.withpersona.com/api/v1/batch-jobs/{batch-job-id} Retrieve the status and counts for an existing Batch Job. Reference: https://docs.withpersona.com/api-reference/batch-jobs/retrieve-a-batch-job ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `batch-job-id` (string, required) — The ID of the Batch Job. ### Query parameters - `include` (string, optional) — A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details. - `fields` (map from string to string, optional) — Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details. ### Headers - `Key-Inflection` (enum, optional) — Determines casing for the API response. - Allowed values: `camel`, `kebab`, `snake` - `Persona-Version` (enum, optional) — Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning). - Allowed values: `2025-12-08`, `2025-10-27`, `2023-01-05`, `2022-09-01`, `2021-08-18`, `2021-07-05`, `2021-02-21`, `2020-05-18` ## Response ### 200 This endpoint returns a Batch Job resource. - `data` (batch-job, required) — A Batch Job object. ## Errors ### 400 Bad Request Error The request was unacceptable, often due to invalid parameters. - `errors` (list of BatchJobsBatchJobIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 401 Unauthorized Error An invalid API key was provided. - `errors` (list of BatchJobsBatchJobIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 403 Forbidden Error The given API key doesn’t have permissions to perform the request or a quota has been exceeded. - `errors` (list of BatchJobsBatchJobIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 404 Not Found Error The requested resource doesn’t exist. - `errors` (list of BatchJobsBatchJobIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 429 Too Many Requests Error Your organization’s rate limit has been exceeded. We recommend an exponential backoff on requests. - `errors` (list of BatchJobsBatchJobIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ## Types ### batch-job A Batch Job object. - `type` ("batch-job", optional) - `id` (string, optional) - `attributes` (BatchJobAttributes, optional) ### BatchJobsBatchJobIdGetResponsesContentApplicationJsonSchemaErrorsItems - `title` (string, optional) - `details` (string, optional) ### BatchJobAttributes - `status` (string, optional) — Current status of the batch job. Possible values include `pending`, `running`, `paused`, `canceled`, `completed`, `errored`, and `killed`. - `run-count` (integer, optional) — Number of times this batch job has been executed - `started-at` (datetime, optional, nullable) — When the batch job started processing - `ended-at` (datetime, optional, nullable) — When the batch job finished processing - `created-at` (datetime, optional) — When the batch job was created - `updated-at` (datetime, optional) — When the batch job was last updated - `redacted-at` (datetime, optional, nullable) — When the batch job was redacted - `run-data` (BatchJobAttributesRunData, optional) — Runtime data and statistics for the batch job ### BatchJobAttributesRunData Runtime data and statistics for the batch job - `column-names` (list of string, optional) — Names of columns being processed - `error-count` (integer, optional) — Number of errors encountered - `rows-read` (integer, optional) — Number of rows read from the source - `row-count` (integer, optional) — Total number of rows processed - `success-count` (integer, optional) — Number of rows successfully processed - `created-count` (integer, optional) — Number of new records created - `updated-count` (integer, optional) — Number of existing records updated ## Examples **Response** ```json { "data": { "type": "batch-job", "id": "mprtpr_ABC123DEF456", "attributes": { "status": "pending", "run-count": 1, "started-at": null, "ended-at": null, "created-at": "2024-01-15T09:59:45.000Z", "updated-at": "2024-01-15T09:59:45.000Z", "redacted-at": null, "run-data": { "column-names": [ "reference_id", "name_first", "name_last" ], "error-count": 0, "rows-read": 0, "row-count": 2, "success-count": 0, "created-count": 0, "updated-count": 0 } } } } ``` **SDK Code** ```python Success import requests url = "https://api.withpersona.com/api/v1/batch-jobs/batch-job-id" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Success const url = 'https://api.withpersona.com/api/v1/batch-jobs/batch-job-id'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.withpersona.com/api/v1/batch-jobs/batch-job-id" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success require 'uri' require 'net/http' url = URI("https://api.withpersona.com/api/v1/batch-jobs/batch-job-id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.withpersona.com/api/v1/batch-jobs/batch-job-id") .header("Authorization", "Bearer ") .asString(); ``` ```php Success request('GET', 'https://api.withpersona.com/api/v1/batch-jobs/batch-job-id', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Success using RestSharp; var client = new RestClient("https://api.withpersona.com/api/v1/batch-jobs/batch-job-id"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Success import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.withpersona.com/api/v1/batch-jobs/batch-job-id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```